<html><head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
    <title>mkfftfilter</title>
    <style type="text/css" media="all">
      @import url("scilab_code.css");
      @import url("xml_code.css");
      @import url("c_code.css");
      @import url("style.css");
    </style>
  </head>
  <body>
    <div class="manualnavbar">
    <table width="100%"><tr>
      <td width="30%">
    	<span class="previous"><a href="imsurf.html">&lt;&lt; imsurf</a></span>

      </td>
      <td width="40%" class="center">
      	<span class="top"><a href="section_c84cce433d3f2911b0e15e783e7281bf.html">Filter Design and Visualization</a></span>

      </td>
      <td width="30%" class="next">
      	<span class="next"><a href="section_f17847494401c51daa9e1bfe09408f94.html">Image Analysis and Statistics &gt;&gt;</a></span>

      </td>
    </tr></table>
      <hr />
    </div>



    <span class="path"><a href="index.html">IPCV - Image Processing and Computer Vision Toolbox for Scilab</a> &gt;&gt; <a href="section_c84cce433d3f2911b0e15e783e7281bf.html">Filter Design and Visualization</a> &gt; mkfftfilter</span>

    <br /><br />
    <div class="refnamediv"><h1 class="refname">mkfftfilter</h1>
    <p class="refpurpose">Create frequency domain filter</p></div>


<div class="refsynopsisdiv"><h3 class="title">Syntax</h3>
   <div class="synopsis"><pre><span class="default">h</span><span class="default"> = </span><span class="functionid">mkfftfilter</span><span class="default">(</span><span class="default">image</span><span class="default">,</span><span class="default">name</span><span class="default">,</span><span class="default">rc1</span><span class="default">,</span><span class="default">rc2</span><span class="default">)</span></pre></div></div>

<div class="refsection"><h3 class="title">Parameters</h3>
   <dl><dt><span class="term">image :</span>
      <dd><p class="para">Source Image</p></dd></dt>
   <dt><span class="term">name :</span>
      <dd><p class="para">Filter name, a string, the name can be &#0039;binary&#0039;, &#0039;butterworth1&#0039;, &#0039;butterworth2&#0039;, &#0039;exp&#0039;, &#0039;gauss&#0039;, or &#0039;trapeze&#0039;</p></dd></dt>
   <dt><span class="term">rc1 :</span>
      <dd><p class="para">1st cut-off frequencies which set the filter characteristics, which is normalized to 0-1</p></dd></dt>
   <dt><span class="term">rc2 :</span>
      <dd><p class="para">2nd cut-off frequencies which set the filter characteristics, which is normalized to 0-1</p></dd></dt>
   <dt><span class="term">h :</span>
      <dd><p class="para">A matrix with values between 0 and 1. These values can then be applied on the fft spectrum of an image.</p></dd></dt></dl></div>

<div class="refsection"><h3 class="title">Description</h3>
   <p class="para">This function gives some popular filters to be applied on the spectrum (fft) of an image.
The Fourier Transform gives informations about which frequencies are present in a signal (spectrum).
A great property of the spectrum is that the original image can be reconstructed from it.
Of course, modifications in the spectrum will result in a modified image,
but spectrum modifications can be easier and more intuitive. A combination of several filters is possible.
All these filters are cylindrical and act only on amplitude (not on phase).</p>
   <p class="para"></p></div>

<div class="refsection"><h3 class="title">Examples</h3>
   <div class="programlisting"><table border="0" width="100%"><tr><td width="98%"><pre class="scilabcode"><span class="scilabid">S</span> <span class="scilaboperator">=</span> <span class="scilabid">imread</span><span class="scilabopenclose">(</span><a class="scilabcommand" href="scilab://fullpath">fullpath</a><span class="scilabopenclose">(</span><span class="scilabid">getIPCVpath</span><span class="scilabopenclose">(</span><span class="scilabopenclose">)</span> <span class="scilaboperator">+</span> <span class="scilabstring">&#0034;</span><span class="scilabstring">/images/measure_gray.jpg</span><span class="scilabstring">&#0034;</span><span class="scilabopenclose">)</span><span class="scilabopenclose">)</span><span class="scilabdefault">;</span>
<span class="scilabid">h</span> <span class="scilaboperator">=</span> <span class="scilabid">mkfftfilter</span><span class="scilabopenclose">(</span><span class="scilabid">S</span><span class="scilabdefault">,</span><span class="scilabstring">&#0039;</span><span class="scilabstring">gauss</span><span class="scilabstring">&#0039;</span><span class="scilabdefault">,</span><span class="scilabnumber">0.1</span><span class="scilabopenclose">)</span><span class="scilabdefault">;</span>
<span class="scilabid">S2</span> <span class="scilaboperator">=</span> <a class="scilabmacro" href="scilab://fft2">fft2</a><span class="scilabopenclose">(</span><span class="scilabid">im2double</span><span class="scilabopenclose">(</span><span class="scilabid">S</span><span class="scilabopenclose">)</span><span class="scilabopenclose">)</span><span class="scilabdefault">;</span>
<span class="scilabid">S3</span> <span class="scilaboperator">=</span> <span class="scilabid">S2</span><span class="scilaboperator">.*</span><a class="scilabmacro" href="scilab://fftshift">fftshift</a><span class="scilabopenclose">(</span><span class="scilabid">h</span><span class="scilabopenclose">)</span><span class="scilabdefault">;</span>
<span class="scilabid">S4</span> <span class="scilaboperator">=</span> <a class="scilabcommand" href="scilab://real">real</a><span class="scilabopenclose">(</span><a class="scilabmacro" href="scilab://ifft">ifft</a><span class="scilabopenclose">(</span><span class="scilabid">S3</span><span class="scilabopenclose">)</span><span class="scilabopenclose">)</span><span class="scilabdefault">;</span>
<span class="scilabid">imshow</span><span class="scilabopenclose">(</span><span class="scilabid">S4</span><span class="scilabopenclose">)</span><span class="scilabdefault">;</span></pre></td><td valign="top"><a href="scilab://scilab.execexample/"><img src="ScilabExecute.png" border="0"/></a></td><td valign="top"><a href="scilab://scilab.editexample/"><img src="ScilabEdit.png" border="0"/></a></td><td></td></tr></table></div></div>

<div class="refsection"><h3 class="title">See also</h3>
   <ul class="itemizedlist"><li class="member"><a href="imfilter.html" class="link">imfilter</a></li></ul></div>

<div class="refsection"><h3 class="title">Authors</h3>
   <ul class="itemizedlist"><li class="member">Tan Chin Luh</li></ul></div>

<div class="refsection"><h3 class="title">Bibliography</h3>
   <p class="para">1. &#0034;Optique: fondements et applications&#0034; J-P PEREZ 6e edition, Dunod</p>
   <p class="para">2. chap34: introduction au traitement numerique des images et a la couleur</p></div>
    <br />

    <div class="manualnavbar">
    <table width="100%">
    <tr><td colspan="3" class="next"><a href="http://bugzilla.scilab.org/enter_bug.cgi?product=Scilab%20software&component=Documentation%20pages" class="ulink">Report an issue</a></td></tr>
<tr>
      <td width="30%">
    	<span class="previous"><a href="imsurf.html">&lt;&lt; imsurf</a></span>

      </td>
      <td width="40%" class="center">
      	<span class="top"><a href="section_c84cce433d3f2911b0e15e783e7281bf.html">Filter Design and Visualization</a></span>

      </td>
      <td width="30%" class="next">
      	<span class="next"><a href="section_f17847494401c51daa9e1bfe09408f94.html">Image Analysis and Statistics &gt;&gt;</a></span>

      </td>
    </tr></table>
      <hr />
    </div>
  </body>
</html>
